import { DangerousChange, BreakingChange } from 'graphql';

type Headers = Record<string, string>;
interface DiffResponse {
    diff: string;
    diffNoColor: string;
    dangerousChanges: DangerousChange[];
    breakingChanges: BreakingChange[];
}
interface DiffOptions {
    leftSchema?: {
        headers?: Headers;
    };
    rightSchema?: {
        headers?: Headers;
    };
    headers?: Headers;
    sortSchema?: boolean;
}
declare function getDiff(leftSchemaLocation: string, rightSchemaLocation: string, options?: DiffOptions): Promise<DiffResponse | undefined>;

export { getDiff };
